import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  appointmentId: z.number().int(),
  filename: z.string(),
  mimeType: z.string().optional().nullable(),
  filePath: z.string().optional().nullable()
}).strict();
export const AppointmentFileCreateManyInputObjectSchema: z.ZodType<Prisma.AppointmentFileCreateManyInput> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentFileCreateManyInput>;
export const AppointmentFileCreateManyInputObjectZodSchema = makeSchema();
